Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service
Class EIdCertsData

    java.lang.Object
      be.fedict.eid.applet.service.EIdCertsData

All Implemented Interfaces:
  Serializable

    public class EIdCertsData

extends Object
implements Serializable

Data structure to hold the eID X509 certificates.

Author:
  Frank Cornelis
See Also:
  Serialized Form

Field Summary
`X509Certificate` | `authn`
`X509Certificate` | `ca`
`X509Certificate` | `root`
`X509Certificate` | `sign`

Constructor Summary
`EIdCertsData()`

Method Summary
`X509Certificate` | `getAuthn()` Citizen's authentication X509 certificate.
`X509Certificate` | `getCa()` Citizen CA X509 certificate.
`X509Certificate` | `getRoot()` Root CA (or Root CA2, depending on the age of the eID card) X509 certificate.
`X509Certificate` | `getSign()` Citizen's non-repudiation X509 certificate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### authn

    public X509Certificate authn

### sign

    public X509Certificate sign

### ca

    public X509Certificate ca

### root

    public X509Certificate root

Constructor Detail

### EIdCertsData

    public EIdCertsData()

Method Detail

### getAuthn

    public X509Certificate getAuthn()

  Citizen's authentication X509 certificate.

  Returns:

### getSign

    public X509Certificate getSign()

  Citizen's non-repudiation X509 certificate.

  Returns:

### getCa

    public X509Certificate getCa()

  Citizen CA X509 certificate.

  Returns:

### getRoot

    public X509Certificate getRoot()

  Root CA (or Root CA2, depending on the age of the eID card) X509 certificate.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 FedICT. All Rights Reserved.